## r-bioc-bsgenome 1.30.0

=== DESCRIPTION ===
Package: BSgenome
Title: Infrastructure for Biostrings-based genome data packages
Description: Infrastructure shared by all the Biostrings-based genome data
             packages 
Version: 1.30.0
Author: Herve Pages
Maintainer: H. Pages <hpages@fhcrc.org>
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.1.2), IRanges (>=
        1.13.6), GenomicRanges (>= 1.11.46), Biostrings (>= 2.23.3)
Import: methods, BiocGenerics, IRanges, GenomicRanges, Biostrings
Suggests: RUnit, BSgenome.Celegans.UCSC.ce2 (>= 1.3.11),
        BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.11),
        SNPlocs.Hsapiens.dbSNP.20100427, hgu95av2probe, Biobase
License: Artistic-2.0
LazyLoad: yes
Collate: utils.R available.genomes.R GenomeDescription-class.R
        SNPlocs-class.R InjectSNPsHandler-class.R BSgenome-class.R
        injectSNPs.R getSeq-methods.R bsapply.R BSgenome-utils.R
        GenomeData-class.R GenomeDataList-class.R gdapply.R gdReduce.R
        BSgenomeForge.R
Packaged: 2013-10-15 03:33:41 UTC; biocbuild

=== inst/BSgenomeDataPkg-template/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: BSgenome (>= @BSGENOMEVERSION@)
Imports: BSgenome
License: @LIC@
organism: @ORGANISM@
species: @SPECIES@
provider: @PROVIDER@
provider_version: @PROVIDERVERSION@
release_date: @RELEASEDATE@
release_name: @RELEASENAME@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.30.0-1) unstable; urgency=low

  * New upstream version
  * Add lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 11:57:58 +0100

r-bioc-bsgenome (1.28.0-1) unstable; urgency=low

  * Initial release (closes: #728277)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 09:23:02 +0200

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-iranges,
               r-bioc-biostrings,
               r-bioc-genomicranges
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/BSgenome.html

Package: r-bioc-bsgenome
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-iranges,
         r-bioc-biostrings,
         r-bioc-genomicranges
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=bioc
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod -x debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/extdata/GentlemanLab/*/splitbigfasta.R

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/BSgenome.html .*/BSgenome_([\d\.]+)\.tar\.gz

## r-bioc-bsgenome 1.32.0

=== DESCRIPTION ===
Package: BSgenome
Title: Infrastructure for Biostrings-based genome data packages
Description: Infrastructure shared by all the Biostrings-based genome data
             packages 
Version: 1.32.0
Author: Herve Pages
Maintainer: H. Pages <hpages@fhcrc.org>
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.1.2), IRanges (>=
        1.13.6), GenomicRanges (>= 1.15.9), Biostrings (>= 2.23.3)
Imports: methods, BiocGenerics, IRanges, GenomicRanges, XVector,
        Biostrings, Rsamtools
Suggests: BiocInstaller, BSgenome.Celegans.UCSC.ce2 (>= 1.3.11),
        BSgenome.Hsapiens.UCSC.hg19 (>= 1.3.11),
        BSgenome.Hsapiens.UCSC.hg19.masked,
        SNPlocs.Hsapiens.dbSNP.20100427, hgu95av2probe, Biobase,
        GenomeInfoDb, RUnit
License: Artistic-2.0
LazyLoad: yes
Collate: utils.R OnDiskNamedSequences-class.R GenomeDescription-class.R
        SNPlocs-class.R InjectSNPsHandler-class.R BSgenome-class.R
        available.genomes.R injectSNPs.R getSeq-methods.R bsapply.R
        BSgenome-utils.R GenomeData-class.R GenomeDataList-class.R
        gdapply.R gdReduce.R BSgenomeForge.R
Packaged: 2014-04-12 05:30:00 UTC; biocbuild

=== inst/pkgtemplates/MaskedBSgenome_datapkg/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: BSgenome (>= @BSGENOMEVERSION@), @REFPKGNAME@
Imports: BSgenome, @REFPKGNAME@
License: @LIC@
organism: @ORGANISM@
species: @SPECIES@
provider: @PROVIDER@
provider_version: @PROVIDERVERSION@
release_date: @RELEASEDATE@
release_name: @RELEASENAME@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * add new (Build-)Depends: r-bioc-rsamtools (>= 1.15)
  * package is architecture "all"

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jul 2014 10:14:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,21 @@
                r-base-dev,
                r-bioc-iranges,
                r-bioc-biostrings,
-               r-bioc-genomicranges
-Standards-Version: 3.9.4
+               r-bioc-genomicranges,
+               r-bioc-rsamtools (>= 1.15)
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/BSgenome.html
 
 Package: r-bioc-bsgenome
-Architecture: any
+Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends},
          r-bioc-iranges,
          r-bioc-biostrings,
-         r-bioc-genomicranges
+         r-bioc-genomicranges,
+         r-bioc-rsamtools
 Description: BioConductor infrastructure for Biostrings-based genome data packages
  This BioConductor module provides some basic infrastructure for
  Biostrings-based genome data packages.

## r-bioc-bsgenome 1.36.2

=== DESCRIPTION ===
Package: BSgenome
Title: Infrastructure for Biostrings-based genome data packages
Description: Infrastructure shared by all the Biostrings-based genome data
             packages
Version: 1.36.2
Author: Herve Pages
Maintainer: H. Pages <hpages@fredhutch.org>
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
        0.5.10), IRanges (>= 2.1.33), GenomeInfoDb (>= 1.3.19),
        GenomicRanges (>= 1.19.23), Biostrings (>= 2.35.3), rtracklayer
        (>= 1.25.8)
Imports: methods, stats, BiocGenerics, S4Vectors, IRanges, XVector,
        GenomeInfoDb, GenomicRanges, Biostrings, Rsamtools, rtracklayer
Suggests: BiocInstaller, Biobase, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.UCSC.hg38,
        BSgenome.Hsapiens.UCSC.hg38.masked,
        BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
        TxDb.Hsapiens.UCSC.hg38.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene,
        SNPlocs.Hsapiens.dbSNP141.GRCh38,
        XtraSNPlocs.Hsapiens.dbSNP141.GRCh38, hgu95av2probe, RUnit
License: Artistic-2.0
LazyLoad: yes
Collate: utils.R OnDiskLongTable-class.R OnDiskNamedSequences-class.R
        SNPlocs-class.R InjectSNPsHandler-class.R XtraSNPlocs-class.R
        BSgenome-class.R available.genomes.R injectSNPs.R
        getSeq-methods.R bsapply.R BSgenomeViews-class.R
        BSgenome-utils.R export-methods.R GenomeData-class.R
        GenomeDataList-class.R gdapply.R gdReduce.R BSgenomeForge.R
NeedsCompilation: no
Packaged: 2015-07-02 01:41:29 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.36.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 22:50:12 +0200

r-bioc-bsgenome (1.36.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jun 2015 08:17:46 +0200

r-bioc-bsgenome (1.34.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 21 Oct 2014 05:22:51 +0200

## r-bioc-bsgenome 1.38.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: BSgenome
-Title: Infrastructure for Biostrings-based genome data packages
+Title: Infrastructure for Biostrings-based genome data packages and
+        support for efficient SNP representation
 Description: Infrastructure shared by all the Biostrings-based genome data
              packages
-Version: 1.36.2
+Version: 1.38.0
 Author: Herve Pages
 Maintainer: H. Pages <hpages@fredhutch.org>
 biocViews: Genetics, Infrastructure, DataRepresentation,
@@ -27,7 +28,6 @@
         SNPlocs-class.R InjectSNPsHandler-class.R XtraSNPlocs-class.R
         BSgenome-class.R available.genomes.R injectSNPs.R
         getSeq-methods.R bsapply.R BSgenomeViews-class.R
-        BSgenome-utils.R export-methods.R GenomeData-class.R
-        GenomeDataList-class.R gdapply.R gdReduce.R BSgenomeForge.R
+        BSgenome-utils.R export-methods.R BSgenomeForge.R
 NeedsCompilation: no
-Packaged: 2015-07-02 01:41:29 UTC; biocbuild
+Packaged: 2015-10-14 00:49:38 UTC; biocbuild

=== inst/pkgtemplates/BSgenome_datapkg/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: BSgenome (>= @BSGENOMEVERSION@)
Imports: BSgenome
Suggests: @SUGGESTS@
License: @LICENSE@
organism: @ORGANISM@
common_name: @COMMONNAME@
provider: @PROVIDER@
provider_version: @PROVIDERVERSION@
release_date: @RELEASEDATE@
release_name: @RELEASENAME@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.38.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2015 12:55:21 +0100

r-bioc-bsgenome (1.36.3-1) unstable; urgency=medium

  * New upstream version
  * fix watch file
  * lintian-overrides for package-contains-timestamped-gzip

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 20:56:23 +0200

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-rtracklayer (>= 1.26.0)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/BSgenome.html

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-rtracklayer (>= 1.26.0)
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/BSgenome.html .*/BSgenome_([\d\.]+)\.tar\.gz

## r-bioc-bsgenome 1.40.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,17 +3,19 @@
         support for efficient SNP representation
 Description: Infrastructure shared by all the Biostrings-based genome data
              packages
-Version: 1.38.0
-Author: Herve Pages
-Maintainer: H. Pages <hpages@fredhutch.org>
+Version: 1.40.0
+Encoding: UTF-8
+Author: Hervé Pagès
+Maintainer: H. Pagès <hpages@fredhutch.org>
 biocViews: Genetics, Infrastructure, DataRepresentation,
         SequenceMatching, Annotation, SNP
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
-        0.5.10), IRanges (>= 2.1.33), GenomeInfoDb (>= 1.3.19),
-        GenomicRanges (>= 1.19.23), Biostrings (>= 2.35.3), rtracklayer
+        0.9.36), IRanges (>= 2.1.33), GenomeInfoDb (>= 1.3.19),
+        GenomicRanges (>= 1.23.15), Biostrings (>= 2.35.3), rtracklayer
         (>= 1.25.8)
-Imports: methods, stats, BiocGenerics, S4Vectors, IRanges, XVector,
-        GenomeInfoDb, GenomicRanges, Biostrings, Rsamtools, rtracklayer
+Imports: methods, utils, stats, BiocGenerics, S4Vectors, IRanges,
+        XVector, GenomeInfoDb, GenomicRanges, Biostrings, Rsamtools,
+        rtracklayer
 Suggests: BiocInstaller, Biobase, BSgenome.Celegans.UCSC.ce2,
         BSgenome.Hsapiens.UCSC.hg38,
         BSgenome.Hsapiens.UCSC.hg38.masked,
@@ -30,4 +32,4 @@
         getSeq-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 NeedsCompilation: no
-Packaged: 2015-10-14 00:49:38 UTC; biocbuild
+Packaged: 2016-05-04 02:53:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.40.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 May 2016 13:41:01 +0200

r-bioc-bsgenome (1.38.0-2) unstable; urgency=medium

  * Fix autopkgtest
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 11:06:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                cdbs,
                r-base-dev,
                r-bioc-rtracklayer (>= 1.26.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/BSgenome.html

## r-bioc-bsgenome 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         support for efficient SNP representation
 Description: Infrastructure shared by all the Biostrings-based genome data
              packages
-Version: 1.40.0
+Version: 1.42.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: H. Pagès <hpages@fredhutch.org>
@@ -32,4 +32,4 @@
         getSeq-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 NeedsCompilation: no
-Packaged: 2016-05-04 02:53:10 UTC; biocbuild
+Packaged: 2016-10-17 22:15:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.42.0-2) unstable; urgency=medium

  * Rebuild against libssl1.0.2 from unstable

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2016 13:47:45 +0200

r-bioc-bsgenome (1.42.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2016 12:42:44 +0200

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-bioc-rtracklayer (>= 1.26.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
Homepage: https://bioconductor.org/packages/BSgenome/

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

## r-bioc-bsgenome 1.46.0

=== DESCRIPTION ===
Package: BSgenome
Title: Software infrastructure for efficient representation of full
        genomes and their SNPs
Description: Infrastructure shared by all the Biostrings-based genome data
	packages.
Version: 1.46.0
Encoding: UTF-8
Author: Hervé Pagès
Maintainer: H. Pagès <hpages@fredhutch.org>
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
        0.9.36), IRanges (>= 2.11.16), GenomeInfoDb (>= 1.13.1),
        GenomicRanges (>= 1.29.14), Biostrings (>= 2.35.3), rtracklayer
        (>= 1.25.8)
Imports: methods, utils, stats, BiocGenerics, S4Vectors, IRanges,
        XVector, GenomeInfoDb, GenomicRanges, Biostrings, Rsamtools,
        rtracklayer
Suggests: BiocInstaller, Biobase, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.UCSC.hg38,
        BSgenome.Hsapiens.UCSC.hg38.masked,
        BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
        BSgenome.Scerevisiae.UCSC.sacCer1,
        TxDb.Hsapiens.UCSC.hg38.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh38,
        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit
License: Artistic-2.0
LazyLoad: yes
Collate: utils.R OnDiskLongTable_old-class.R OnDiskLongTable-class.R
        OnDiskNamedSequences-class.R SNPlocs-class.R
        ODLT_SNPlocs-class.R OldFashionSNPlocs-class.R
        InjectSNPsHandler-class.R XtraSNPlocs-class.R BSgenome-class.R
        available.genomes.R injectSNPs.R getSeq-methods.R bsapply.R
        BSgenomeViews-class.R BSgenome-utils.R export-methods.R
        BSgenomeForge.R
NeedsCompilation: no
Packaged: 2017-10-30 22:44:38 UTC; biocbuild

=== inst/pkgtemplates/MaskedBSgenome_datapkg/DESCRIPTION ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Maintainer: @MAINTAINER@
 Depends: BSgenome (>= @BSGENOMEVERSION@), @REFPKGNAME@
 Imports: BSgenome, @REFPKGNAME@
-License: @LIC@
+Suggests: @SUGGESTS@
+License: @LICENSE@
 organism: @ORGANISM@
-species: @SPECIES@
+common_name: @COMMONNAME@
 provider: @PROVIDER@
 provider_version: @PROVIDERVERSION@
 release_date: @RELEASEDATE@

=== debian/changelog ===
r-bioc-bsgenome (1.46.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 09:54:48 +0100

r-bioc-bsgenome (1.44.2-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 03 Oct 2017 08:39:10 +0200

r-bioc-bsgenome (1.44.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Remove unneeded lintian-overrides

 -- Andreas Tille <tille@debian.org>  Sat, 02 Sep 2017 23:02:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-bioc-rtracklayer (>= 1.26.0)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-bsgenome/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-bsgenome.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/
 
 Package: r-bioc-bsgenome

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/BSgenome.html .*/BSgenome_([\d\.]+)\.tar\.gz

## r-bioc-bsgenome 1.48.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,16 +3,16 @@
         genomes and their SNPs
 Description: Infrastructure shared by all the Biostrings-based genome data
 	packages.
-Version: 1.46.0
+Version: 1.48.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: H. Pagès <hpages@fredhutch.org>
 biocViews: Genetics, Infrastructure, DataRepresentation,
         SequenceMatching, Annotation, SNP
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
-        0.9.36), IRanges (>= 2.11.16), GenomeInfoDb (>= 1.13.1),
-        GenomicRanges (>= 1.29.14), Biostrings (>= 2.35.3), rtracklayer
-        (>= 1.25.8)
+        0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.15.2),
+        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), rtracklayer
+        (>= 1.39.7)
 Imports: methods, utils, stats, BiocGenerics, S4Vectors, IRanges,
         XVector, GenomeInfoDb, GenomicRanges, Biostrings, Rsamtools,
         rtracklayer
@@ -35,4 +35,4 @@
         BSgenomeViews-class.R BSgenome-utils.R export-methods.R
         BSgenomeForge.R
 NeedsCompilation: no
-Packaged: 2017-10-30 22:44:38 UTC; biocbuild
+Packaged: 2018-04-30 22:51:14 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.48.0-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 18:19:56 +0200

r-bioc-bsgenome (1.48.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 00:16:42 +0200

r-bioc-bsgenome (1.48.0-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New Build-Depends: r-bioc-genomicranges (>= 1.29.14)

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 19:04:53 +0200

=== debian/control ===
Source: r-bioc-bsgenome
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.13.8),
               r-bioc-s4vectors (>= 0.17.28),
               r-bioc-iranges (>= 2.13.16),
               r-bioc-genomeinfodb (>= 1.15.2),
               r-bioc-genomicranges (>= 1.31.10),
               r-bioc-biostrings (>= 2.47.6),
               r-bioc-rtracklayer (>= 1.39.7),
               r-bioc-xvector,
               r-bioc-rsamtools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
Homepage: https://bioconductor.org/packages/BSgenome/

Package: r-bioc-bsgenome
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor infrastructure for Biostrings-based genome data packages
 This BioConductor module provides some basic infrastructure for
 Biostrings-based genome data packages.

## r-bioc-bsgenome 1.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         genomes and their SNPs
 Description: Infrastructure shared by all the Biostrings-based genome data
 	packages.
-Version: 1.48.0
+Version: 1.50.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: H. Pagès <hpages@fredhutch.org>
@@ -16,7 +16,7 @@
 Imports: methods, utils, stats, BiocGenerics, S4Vectors, IRanges,
         XVector, GenomeInfoDb, GenomicRanges, Biostrings, Rsamtools,
         rtracklayer
-Suggests: BiocInstaller, Biobase, BSgenome.Celegans.UCSC.ce2,
+Suggests: BiocManager, Biobase, BSgenome.Celegans.UCSC.ce2,
         BSgenome.Hsapiens.UCSC.hg38,
         BSgenome.Hsapiens.UCSC.hg38.masked,
         BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
@@ -34,5 +34,10 @@
         available.genomes.R injectSNPs.R getSeq-methods.R bsapply.R
         BSgenomeViews-class.R BSgenome-utils.R export-methods.R
         BSgenomeForge.R
+git_url: https://git.bioconductor.org/packages/BSgenome
+git_branch: RELEASE_3_8
+git_last_commit: 4391075
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: no
-Packaged: 2018-04-30 22:51:14 UTC; biocbuild
+Packaged: 2018-10-30 22:54:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.50.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Nov 2018 21:20:18 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                r-bioc-rtracklayer (>= 1.39.7),
                r-bioc-xvector,
                r-bioc-rsamtools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/

## r-bioc-bsgenome 1.52.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         genomes and their SNPs
 Description: Infrastructure shared by all the Biostrings-based genome data
 	packages.
-Version: 1.50.0
+Version: 1.52.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: H. Pagès <hpages@fredhutch.org>
@@ -35,9 +35,9 @@
         BSgenomeViews-class.R BSgenome-utils.R export-methods.R
         BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_8
-git_last_commit: 4391075
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 5398eba
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: no
-Packaged: 2018-10-30 22:54:27 UTC; biocbuild
+Packaged: 2019-05-02 23:44:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.52.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 10:05:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.8),
@@ -15,7 +15,7 @@
                r-bioc-rtracklayer (>= 1.39.7),
                r-bioc-xvector,
                r-bioc-rsamtools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/

## r-bioc-bsgenome 1.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
         genomes and their SNPs
 Description: Infrastructure shared by all the Biostrings-based genome data
 	packages.
-Version: 1.52.0
+Version: 1.54.0
 Encoding: UTF-8
 Author: Hervé Pagès
 Maintainer: H. Pagès <hpages@fredhutch.org>
@@ -35,9 +35,9 @@
         BSgenomeViews-class.R BSgenome-utils.R export-methods.R
         BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_9
-git_last_commit: 5398eba
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 58524c9
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: no
-Packaged: 2019-05-02 23:44:09 UTC; biocbuild
+Packaged: 2019-10-29 23:41:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.54.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Nov 2019 07:16:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.8),
@@ -15,7 +15,7 @@
                r-bioc-rtracklayer (>= 1.39.7),
                r-bioc-xvector,
                r-bioc-rsamtools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/BSgenome.html .*/BSgenome_([\d\.]+)\.tar\.gz

## r-bioc-bsgenome 1.56.0

=== DESCRIPTION ===
Package: BSgenome
Title: Software infrastructure for efficient representation of full
        genomes and their SNPs
Description: Infrastructure shared by all the Biostrings-based genome data
	packages.
Version: 1.56.0
Encoding: UTF-8
Author: Hervé Pagès
Maintainer: H. Pagès <hpages@fredhutch.org>
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
        0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.23.9),
        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), rtracklayer
        (>= 1.39.7)
Imports: methods, utils, stats, matrixStats, BiocGenerics, S4Vectors,
        IRanges, XVector, GenomeInfoDb, GenomicRanges, Biostrings,
        Rsamtools, rtracklayer
Suggests: BiocManager, Biobase, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.UCSC.hg38,
        BSgenome.Hsapiens.UCSC.hg38.masked,
        BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
        BSgenome.Scerevisiae.UCSC.sacCer1,
        BSgenome.Hsapiens.NCBI.GRCh38,
        TxDb.Hsapiens.UCSC.hg38.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh38,
        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit
License: Artistic-2.0
LazyLoad: yes
Collate: utils.R OnDiskLongTable_old-class.R OnDiskLongTable-class.R
        OnDiskNamedSequences-class.R SNPlocs-class.R
        ODLT_SNPlocs-class.R OldFashionSNPlocs-class.R
        InjectSNPsHandler-class.R XtraSNPlocs-class.R BSgenome-class.R
        available.genomes.R injectSNPs.R getSeq-methods.R
        extractAt-methods.R bsapply.R BSgenomeViews-class.R
        BSgenome-utils.R export-methods.R BSgenomeForge.R
git_url: https://git.bioconductor.org/packages/BSgenome
git_branch: RELEASE_3_11
git_last_commit: 8364a0f
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no
Packaged: 2020-04-27 23:50:24 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.56.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 16:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -9,16 +10,18 @@
                r-bioc-biocgenerics (>= 0.13.8),
                r-bioc-s4vectors (>= 0.17.28),
                r-bioc-iranges (>= 2.13.16),
-               r-bioc-genomeinfodb (>= 1.15.2),
+               r-bioc-genomeinfodb (>= 1.23.9),
                r-bioc-genomicranges (>= 1.31.10),
                r-bioc-biostrings (>= 2.47.6),
                r-bioc-rtracklayer (>= 1.39.7),
+               r-cran-matrixstats,
                r-bioc-xvector,
                r-bioc-rsamtools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/
+Rules-Requires-Root: no
 
 Package: r-bioc-bsgenome
 Architecture: all

## r-bioc-bsgenome 1.58.0

=== DESCRIPTION ===
Package: BSgenome
Title: Software infrastructure for efficient representation of full
        genomes and their SNPs
Description: Infrastructure shared by all the Biostrings-based genome data
	packages.
biocViews: Genetics, Infrastructure, DataRepresentation,
        SequenceMatching, Annotation, SNP
URL: https://bioconductor.org/packages/BSgenome
BugReports: https://github.com/Bioconductor/BSgenome/issues
Version: 1.58.0
License: Artistic-2.0
Encoding: UTF-8
Author: Hervé Pagès
Maintainer: H. Pagès <hpages.on.github@gmail.com>
Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
        0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.25.6),
        GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), rtracklayer
        (>= 1.39.7)
Imports: methods, utils, stats, matrixStats, BiocGenerics, S4Vectors,
        IRanges, XVector (>= 0.29.3), GenomeInfoDb, GenomicRanges,
        Biostrings, Rsamtools, rtracklayer
Suggests: BiocManager, Biobase, BSgenome.Celegans.UCSC.ce2,
        BSgenome.Hsapiens.UCSC.hg38,
        BSgenome.Hsapiens.UCSC.hg38.masked,
        BSgenome.Mmusculus.UCSC.mm10, BSgenome.Rnorvegicus.UCSC.rn5,
        BSgenome.Scerevisiae.UCSC.sacCer1,
        BSgenome.Hsapiens.NCBI.GRCh38,
        TxDb.Hsapiens.UCSC.hg38.knownGene,
        TxDb.Mmusculus.UCSC.mm10.knownGene,
        SNPlocs.Hsapiens.dbSNP144.GRCh38,
        XtraSNPlocs.Hsapiens.dbSNP144.GRCh38, hgu95av2probe, RUnit
LazyLoad: yes
Collate: utils.R OnDiskLongTable_old-class.R OnDiskLongTable-class.R
        OnDiskNamedSequences-class.R SNPlocs-class.R
        ODLT_SNPlocs-class.R OldFashionSNPlocs-class.R
        InjectSNPsHandler-class.R XtraSNPlocs-class.R BSgenome-class.R
        available.genomes.R injectSNPs.R getSeq-methods.R
        extractAt-methods.R bsapply.R BSgenomeViews-class.R
        BSgenome-utils.R export-methods.R BSgenomeForge.R
git_url: https://git.bioconductor.org/packages/BSgenome
git_branch: RELEASE_3_12
git_last_commit: 3a4926e
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-27 22:53:54 UTC; biocbuild

=== inst/pkgtemplates/MaskedBSgenome_datapkg/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: R (>= 3.5.0), BSgenome (>= @BSGENOMEVERSION@), @REFPKGNAME@
Imports: BSgenome, @REFPKGNAME@
Suggests: @SUGGESTS@
License: @LICENSE@
organism: @ORGANISM@
common_name: @COMMONNAME@
genome: @GENOME@
provider: @PROVIDER@
release_date: @RELEASEDATE@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.58.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 13:55:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.13.8),
                r-bioc-s4vectors (>= 0.17.28),
                r-bioc-iranges (>= 2.13.16),
-               r-bioc-genomeinfodb (>= 1.23.9),
+               r-bioc-genomeinfodb (>= 1.25.6),
                r-bioc-genomicranges (>= 1.31.10),
                r-bioc-biostrings (>= 2.47.6),
                r-bioc-rtracklayer (>= 1.39.7),
                r-cran-matrixstats,
-               r-bioc-xvector,
+               r-bioc-xvector (>= 0.29.3),
                r-bioc-rsamtools
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome

## r-bioc-bsgenome 1.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         SequenceMatching, Annotation, SNP
 URL: https://bioconductor.org/packages/BSgenome
 BugReports: https://github.com/Bioconductor/BSgenome/issues
-Version: 1.58.0
+Version: 1.62.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
@@ -38,9 +38,9 @@
         extractAt-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_12
-git_last_commit: 3a4926e
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 9b1859e
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-27 22:53:54 UTC; biocbuild
+Packaged: 2021-10-26 21:00:07 UTC; biocbuild

=== inst/pkgtemplates/MaskedBSgenome_datapkg/DESCRIPTION ===
--- 
+++ 
@@ -10,8 +10,8 @@
 License: @LICENSE@
 organism: @ORGANISM@
 common_name: @COMMONNAME@
+provider: @PROVIDER@
 genome: @GENOME@
-provider: @PROVIDER@
 release_date: @RELEASEDATE@
 source_url: @SOURCEURL@
 biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.62.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-genomeinfodb and
      r-bioc-xvector.

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 20:37:08 +0100

r-bioc-bsgenome (1.60.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-biocgenerics,
      r-bioc-biostrings, r-bioc-genomeinfodb, r-bioc-genomicranges,
      r-bioc-iranges, r-bioc-rtracklayer, r-bioc-s4vectors and r-bioc-xvector.

  [ Nilesh Patra ]
  * d/control: Versioned B-D as per DESCRIPTION file

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 03:11:43 +0530

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.13.8),
-               r-bioc-s4vectors (>= 0.17.28),
-               r-bioc-iranges (>= 2.13.16),
-               r-bioc-genomeinfodb (>= 1.25.6),
-               r-bioc-genomicranges (>= 1.31.10),
-               r-bioc-biostrings (>= 2.47.6),
-               r-bioc-rtracklayer (>= 1.39.7),
+               r-bioc-biocgenerics,
+               r-bioc-s4vectors,
+               r-bioc-iranges,
+               r-bioc-genomeinfodb,
+               r-bioc-genomicranges,
+               r-bioc-biostrings,
+               r-bioc-rtracklayer,
                r-cran-matrixstats,
-               r-bioc-xvector (>= 0.29.3),
+               r-bioc-xvector,
                r-bioc-rsamtools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-bioc-biovizbase (>= 1.14.0)
Restrictions: allow-stderr

## r-bioc-bsgenome 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         SequenceMatching, Annotation, SNP
 URL: https://bioconductor.org/packages/BSgenome
 BugReports: https://github.com/Bioconductor/BSgenome/issues
-Version: 1.62.0
+Version: 1.64.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: Hervé Pagès
@@ -38,9 +38,9 @@
         extractAt-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_14
-git_last_commit: 9b1859e
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 59cdebd
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:00:07 UTC; biocbuild
+Packaged: 2022-04-26 20:10:33 UTC; biocbuild

=== debian/changelog ===
r-bioc-bsgenome (1.64.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 11:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
                r-bioc-iranges,
-               r-bioc-genomeinfodb,
+               r-bioc-genomeinfodb (>= 1.25.6),
                r-bioc-genomicranges,
                r-bioc-biostrings,
                r-bioc-rtracklayer,
                r-cran-matrixstats,
-               r-bioc-xvector,
+               r-bioc-xvector (>= 0.29.3),
                r-bioc-rsamtools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/

## r-bioc-bsgenome 1.66.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,11 +7,14 @@
         SequenceMatching, Annotation, SNP
 URL: https://bioconductor.org/packages/BSgenome
 BugReports: https://github.com/Bioconductor/BSgenome/issues
-Version: 1.64.0
+Version: 1.66.2
 License: Artistic-2.0
 Encoding: UTF-8
-Author: Hervé Pagès
-Maintainer: H. Pagès <hpages.on.github@gmail.com>
+Authors@R: c(
+	person("Hervé", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("Prisca Chidimma", "Maduka", role="ctb",
+		comment="add 'replace' argument to forgeBSgenomeDataPkg()"))
 Depends: R (>= 2.8.0), methods, BiocGenerics (>= 0.13.8), S4Vectors (>=
         0.17.28), IRanges (>= 2.13.16), GenomeInfoDb (>= 1.25.6),
         GenomicRanges (>= 1.31.10), Biostrings (>= 2.47.6), rtracklayer
@@ -38,9 +41,13 @@
         extractAt-methods.R bsapply.R BSgenomeViews-class.R
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
-git_branch: RELEASE_3_15
-git_last_commit: 59cdebd
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 0b63ff0
+git_last_commit_date: 2023-01-05
+Date/Publication: 2023-01-05
 NeedsCompilation: no
-Packaged: 2022-04-26 20:10:33 UTC; biocbuild
+Packaged: 2023-01-05 21:00:32 UTC; biocbuild
+Author: Hervé Pagès [aut, cre],
+  Prisca Chidimma Maduka [ctb] (add 'replace' argument to
+    forgeBSgenomeDataPkg())
+Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-bsgenome (1.66.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2023 14:15:16 +0100

r-bioc-bsgenome (1.66.1-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 14:19:54 +0100

## r-bioc-bsgenome 1.66.3

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
         SequenceMatching, Annotation, SNP
 URL: https://bioconductor.org/packages/BSgenome
 BugReports: https://github.com/Bioconductor/BSgenome/issues
-Version: 1.66.2
+Version: 1.66.3
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -42,11 +42,11 @@
         BSgenome-utils.R export-methods.R BSgenomeForge.R
 git_url: https://git.bioconductor.org/packages/BSgenome
 git_branch: RELEASE_3_16
-git_last_commit: 0b63ff0
-git_last_commit_date: 2023-01-05
-Date/Publication: 2023-01-05
+git_last_commit: f2f40e0
+git_last_commit_date: 2023-02-16
+Date/Publication: 2023-02-16
 NeedsCompilation: no
-Packaged: 2023-01-05 21:00:32 UTC; biocbuild
+Packaged: 2023-02-16 21:13:40 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Prisca Chidimma Maduka [ctb] (add 'replace' argument to
     forgeBSgenomeDataPkg())

=== inst/pkgtemplates/BSgenome_datapkg/DESCRIPTION ===
Package: @PKGNAME@
Title: @PKGTITLE@
Description: @PKGDESCRIPTION@
Version: @PKGVERSION@
Author: @AUTHOR@
Maintainer: @MAINTAINER@
Depends: R (>= 3.5.0), BSgenome (>= @BSGENOMEVERSION@)
Imports: BSgenome
Suggests: @SUGGESTS@
License: @LICENSE@
organism: @ORGANISM@
common_name: @COMMONNAME@
genome: @GENOME@
provider: @PROVIDER@
release_date: @RELEASEDATE@
source_url: @SOURCEURL@
biocViews: AnnotationData, Genetics, BSgenome, @ORGANISMBIOCVIEW@

=== debian/changelog ===
r-bioc-bsgenome (1.66.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2023 12:17:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-cran-matrixstats,
                r-bioc-xvector (>= 0.29.3),
                r-bioc-rsamtools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bsgenome.git
 Homepage: https://bioconductor.org/packages/BSgenome/
